$desktop: 'desktop';
$laptop: 'laptop';
$laptopAndLower: 'laptopAndLower';
$tablet: 'tablet';
$tabletAndLower: 'tabletAndLower';
$mobileLandscape: 'mobileLandscape';
$mobileLandscapeAndLower: 'mobileLandscapeAndLower';
$mobile: 'mobile';

/*
*
* desktop
*
--- 1024
*
* laptop
*
--- 900
*
* tablet
*
--- 768
*
* mobile landscape
*
--- 426
*
* mobile
*
*/

@mixin onScreenRes($res) {
  //  <= 1201px
  @if $res == $desktop {
    @media screen and (min-width: 1201px) {
      @content;
    }
  }

  // 1200px - 901px
  @if $res == $laptop {
    @media screen and (max-width: 1200px) and (min-width: 901px) {
      @content;
    }
  }

  // >= 1200px 
  @if $res == $laptopAndLower {
    @media screen and (max-width: 1200px) {
      @content;
    }
  }

  // 900px - 769px
  @if $res == $tablet {
    @media screen and (max-width: 900px) and (min-width: 769px) {
      @content;
    }
  }

  // >= 900px
  @if $res == $tabletAndLower {
    @media screen and (max-width: 900px) {
      @content;
    }
  }

  // 768px - 427px
  @if $res == $mobileLandscape {
    @media screen and (max-width: 768px) and (min-width: 501px) {
      @content;
    }
  }

  // >= 768px
  @if $res == $mobileLandscapeAndLower {
    @media screen and (max-width: 768px) {
      @content;
    }
  }

  // >= 426px
  @if $res == $mobile {
    @media screen and (max-width: 500px) {
      @content;
    }
  }
}